org.apache.ignite.spi.failover

## Interface FailoverContext

All Known Implementing Classes:
  GridFailoverContextImpl

    public interface FailoverContext

This interface defines a set of operations available to failover SPI one a given failed job.

### Method Summary

Methods
`ClusterNode` `getBalancedNode(List<ClusterNode> top)` Gets the next balanced node for failed job.
`ComputeJobResult` `getJobResult()` Gets failed result of job execution.
`ComputeTaskSession` `getTaskSession()` Gets current task session.

### Method Detail

#### getTaskSession

    ComputeTaskSession getTaskSession()

Gets current task session.

Returns:
  Grid task session.

#### getJobResult

    ComputeJobResult getJobResult()

Gets failed result of job execution.

Returns:
  Result of a failed job.

#### getBalancedNode

    ClusterNode getBalancedNode(List<ClusterNode> top)
                                throws IgniteException

Gets the next balanced node for failed job. Internally this method will delegate to load balancing SPI (see `LoadBalancingSpi` to determine the optimal node for execution.

Parameters:
  `top` - Topology to pick balanced node from.
Returns:
  The next balanced node.
Throws:
  `IgniteException` - If anything failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015